1# Makefile for PO directory in any package using GNU gettext.
2# Copyright (C) 1995-1997, 2000-2007, 2009-2010 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
3#
4# This file can be copied and used freely without restrictions.  It can
5# be used in projects which are not available under the GNU General Public
6# License but which still want to provide support for the GNU gettext
7# functionality.
8# Please note that the actual code of GNU gettext is covered by the GNU
9# General Public License and is *not* in the public domain.
10#
11# Origin: gettext-0.19
12GETTEXT_MACRO_VERSION = 0.19
13
14PACKAGE = @PACKAGE@
15VERSION = @VERSION@
16PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
17
18SED = @SED@
19SHELL = /bin/sh
20@SET_MAKE@
21
22srcdir = @srcdir@
23top_srcdir = @top_srcdir@
24VPATH = @srcdir@
25
26prefix = @prefix@
27exec_prefix = @exec_prefix@
28datarootdir = @datarootdir@
29datadir = @datadir@
30localedir = @localedir@
31gettextsrcdir = $(datadir)/gettext/po
32
33INSTALL = @INSTALL@
34INSTALL_DATA = @INSTALL_DATA@
35
36# We use $(mkdir_p).
37# In automake <= 1.9.x, $(mkdir_p) is defined either as "mkdir -p --" or as
38# "$(mkinstalldirs)" or as "$(install_sh) -d". For these automake versions,
39# @install_sh@ does not start with $(SHELL), so we add it.
40# In automake >= 1.10, @mkdir_p@ is derived from ${MKDIR_P}, which is defined
41# either as "/path/to/mkdir -p" or ".../install-sh -c -d". For these automake
42# versions, $(mkinstalldirs) and $(install_sh) are unused.
43mkinstalldirs = $(SHELL) @install_sh@ -d
44install_sh = $(SHELL) @install_sh@
45MKDIR_P = @MKDIR_P@
46mkdir_p = @mkdir_p@
47
48GMSGFMT_ = @GMSGFMT@
49GMSGFMT_no = @GMSGFMT@
50GMSGFMT_yes = @GMSGFMT_015@
51GMSGFMT = $(GMSGFMT_$(USE_MSGCTXT))
52MSGFMT_ = @MSGFMT@
53MSGFMT_no = @MSGFMT@
54MSGFMT_yes = @MSGFMT_015@
55MSGFMT = $(MSGFMT_$(USE_MSGCTXT))
56XGETTEXT_ = @XGETTEXT@
57XGETTEXT_no = @XGETTEXT@
58XGETTEXT_yes = @XGETTEXT_015@
59XGETTEXT = $(XGETTEXT_$(USE_MSGCTXT))
60MSGMERGE = msgmerge
61MSGMERGE_UPDATE = @MSGMERGE@ --update
62MSGINIT = msginit
63MSGCONV = msgconv
64MSGFILTER = msgfilter
65
66POFILES = @POFILES@
67GMOFILES = @GMOFILES@
68UPDATEPOFILES = @UPDATEPOFILES@
69DUMMYPOFILES = @DUMMYPOFILES@
70DISTFILES.common = Makefile.in.in remove-potcdate.sin \
71$(DISTFILES.common.extra1) $(DISTFILES.common.extra2) $(DISTFILES.common.extra3)
72DISTFILES = $(DISTFILES.common) Makevars POTFILES.in \
73$(POFILES) $(GMOFILES) \
74$(DISTFILES.extra1) $(DISTFILES.extra2) $(DISTFILES.extra3)
75
76POTFILES = \
77
78CATALOGS = @CATALOGS@
79
80POFILESDEPS_ = $(srcdir)/$(DOMAIN).pot
81POFILESDEPS_yes = $(POFILESDEPS_)
82POFILESDEPS_no =
83POFILESDEPS = $(POFILESDEPS_$(PO_DEPENDS_ON_POT))
84
85DISTFILESDEPS_ = update-po
86DISTFILESDEPS_yes = $(DISTFILESDEPS_)
87DISTFILESDEPS_no =
88DISTFILESDEPS = $(DISTFILESDEPS_$(DIST_DEPENDS_ON_UPDATE_PO))
89
90# Makevars gets inserted here. (Don't remove this line!)
91
92.SUFFIXES:
93.SUFFIXES: .po .gmo .mo .sed .sin .nop .po-create .po-update
94
95.po.mo:
96	@echo "$(MSGFMT) -c -o $@ $<"; \
97	$(MSGFMT) -c -o t-$@ $< && mv t-$@ $@
98
99.po.gmo:
100	@lang=`echo $* | sed -e 's,.*/,,'`; \
101	test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
102	echo "$${cdcmd}rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics --verbose -o $${lang}.gmo $${lang}.po"; \
103	cd $(srcdir) && rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics --verbose -o t-$${lang}.gmo $${lang}.po && mv t-$${lang}.gmo $${lang}.gmo
104
105.sin.sed:
106	sed -e '/^#/d' $< > t-$@
107	mv t-$@ $@
108
109
110all: all-@USE_NLS@
111
112all-yes: stamp-po
113all-no:
114
115# Ensure that the gettext macros and this Makefile.in.in are in sync.
116CHECK_MACRO_VERSION = \
117	test "$(GETTEXT_MACRO_VERSION)" = "@GETTEXT_MACRO_VERSION@" \
118	  || { echo "*** error: gettext infrastructure mismatch: using a Makefile.in.in from gettext version $(GETTEXT_MACRO_VERSION) but the autoconf macros are from gettext version @GETTEXT_MACRO_VERSION@" 1>&2; \
119	       exit 1; \
120	     }
121
122# $(srcdir)/$(DOMAIN).pot is only created when needed. When xgettext finds no
123# internationalized messages, no $(srcdir)/$(DOMAIN).pot is created (because
124# we don't want to bother translators with empty POT files). We assume that
125# LINGUAS is empty in this case, i.e. $(POFILES) and $(GMOFILES) are empty.
126# In this case, stamp-po is a nop (i.e. a phony target).
127
128# stamp-po is a timestamp denoting the last time at which the CATALOGS have
129# been loosely updated. Its purpose is that when a developer or translator
130# checks out the package via CVS, and the $(DOMAIN).pot file is not in CVS,
131# "make" will update the $(DOMAIN).pot and the $(CATALOGS), but subsequent
132# invocations of "make" will do nothing. This timestamp would not be necessary
133# if updating the $(CATALOGS) would always touch them; however, the rule for
134# $(POFILES) has been designed to not touch files that don't need to be
135# changed.
136stamp-po: $(srcdir)/$(DOMAIN).pot
137	@$(CHECK_MACRO_VERSION)
138	test ! -f $(srcdir)/$(DOMAIN).pot || \
139	  test -z "$(GMOFILES)" || $(MAKE) $(GMOFILES)
140	@test ! -f $(srcdir)/$(DOMAIN).pot || { \
141	  echo "touch stamp-po" && \
142	  echo timestamp > stamp-poT && \
143	  mv stamp-poT stamp-po; \
144	}
145
146# Note: Target 'all' must not depend on target '$(DOMAIN).pot-update',
147# otherwise packages like GCC can not be built if only parts of the source
148# have been downloaded.
149
150# This target rebuilds $(DOMAIN).pot; it is an expensive operation.
151# Note that $(DOMAIN).pot is not touched if it doesn't need to be changed.
152# The determination of whether the package xyz is a GNU one is based on the
153# heuristic whether some file in the top level directory mentions "GNU xyz".
154# If GNU 'find' is available, we avoid grepping through monster files.
155$(DOMAIN).pot-update: $(POTFILES) $(srcdir)/POTFILES.in remove-potcdate.sed
156	package_gnu="$(PACKAGE_GNU)"; \
157	test -n "$$package_gnu" || { \
158	  if { if (LC_ALL=C find --version) 2>/dev/null | grep GNU >/dev/null; then \
159		 LC_ALL=C find -L $(top_srcdir) -maxdepth 1 -type f \
160			       -size -10000000c -exec grep 'GNU @PACKAGE@' \
161			       /dev/null '{}' ';' 2>/dev/null; \
162	       else \
163		 LC_ALL=C grep 'GNU @PACKAGE@' $(top_srcdir)/* 2>/dev/null; \
164	       fi; \
165	     } | grep -v 'libtool:' >/dev/null; then \
166	     package_gnu=yes; \
167	   else \
168	     package_gnu=no; \
169	   fi; \
170	}; \
171	if test "$$package_gnu" = "yes"; then \
172	  package_prefix='GNU '; \
173	else \
174	  package_prefix=''; \
175	fi; \
176	if test -n '$(MSGID_BUGS_ADDRESS)' || test '$(PACKAGE_BUGREPORT)' = '@'PACKAGE_BUGREPORT'@'; then \
177	  msgid_bugs_address='$(MSGID_BUGS_ADDRESS)'; \
178	else \
179	  msgid_bugs_address='$(PACKAGE_BUGREPORT)'; \
180	fi; \
181	case `$(XGETTEXT) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
182	  '' | 0.[0-9] | 0.[0-9].* | 0.1[0-5] | 0.1[0-5].* | 0.16 | 0.16.[0-1]*) \
183	    $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
184	      --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS) @XGETTEXT_EXTRA_OPTIONS@ \
185	      --files-from=$(srcdir)/POTFILES.in \
186	      --copyright-holder='$(COPYRIGHT_HOLDER)' \
187	      --msgid-bugs-address="$$msgid_bugs_address" \
188	    ;; \
189	  *) \
190	    $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
191	      --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS) @XGETTEXT_EXTRA_OPTIONS@ \
192	      --files-from=$(srcdir)/POTFILES.in \
193	      --copyright-holder='$(COPYRIGHT_HOLDER)' \
194	      --package-name="$${package_prefix}@PACKAGE@" \
195	      --package-version='@VERSION@' \
196	      --msgid-bugs-address="$$msgid_bugs_address" \
197	    ;; \
198	esac
199	test ! -f $(DOMAIN).po || { \
200	  if test -f $(srcdir)/$(DOMAIN).pot; then \
201	    sed -f remove-potcdate.sed < $(srcdir)/$(DOMAIN).pot > $(DOMAIN).1po && \
202	    sed -f remove-potcdate.sed < $(DOMAIN).po > $(DOMAIN).2po && \
203	    if cmp $(DOMAIN).1po $(DOMAIN).2po >/dev/null 2>&1; then \
204	      rm -f $(DOMAIN).1po $(DOMAIN).2po $(DOMAIN).po; \
205	    else \
206	      rm -f $(DOMAIN).1po $(DOMAIN).2po $(srcdir)/$(DOMAIN).pot && \
207	      mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
208	    fi; \
209	  else \
210	    mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
211	  fi; \
212	}
213
214# This rule has no dependencies: we don't need to update $(DOMAIN).pot at
215# every "make" invocation, only create it when it is missing.
216# Only "make $(DOMAIN).pot-update" or "make dist" will force an update.
217$(srcdir)/$(DOMAIN).pot:
218	$(MAKE) $(DOMAIN).pot-update
219
220# This target rebuilds a PO file if $(DOMAIN).pot has changed.
221# Note that a PO file is not touched if it doesn't need to be changed.
222$(POFILES): $(POFILESDEPS)
223	@lang=`echo $@ | sed -e 's,.*/,,' -e 's/\.po$$//'`; \
224	if test -f "$(srcdir)/$${lang}.po"; then \
225	  test -f $(srcdir)/$(DOMAIN).pot || $(MAKE) $(srcdir)/$(DOMAIN).pot; \
226	  test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
227	  echo "$${cdcmd}$(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) --lang=$${lang} $${lang}.po $(DOMAIN).pot"; \
228	  cd $(srcdir) \
229	    && { case `$(MSGMERGE_UPDATE) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
230	           '' | 0.[0-9] | 0.[0-9].* | 0.1[0-7] | 0.1[0-7].*) \
231	             $(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) $${lang}.po $(DOMAIN).pot;; \
232	           *) \
233	             $(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) --lang=$${lang} $${lang}.po $(DOMAIN).pot;; \
234	         esac; \
235	       }; \
236	else \
237	  $(MAKE) $${lang}.po-create; \
238	fi
239
240
241install: install-exec install-data
242install-exec:
243install-data: install-data-@USE_NLS@
244	if test "$(PACKAGE)" = "gettext-tools"; then \
245	  $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \
246	  for file in $(DISTFILES.common) Makevars.template; do \
247	    $(INSTALL_DATA) $(srcdir)/$$file \
248			    $(DESTDIR)$(gettextsrcdir)/$$file; \
249	  done; \
250	  for file in Makevars; do \
251	    rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
252	  done; \
253	else \
254	  : ; \
255	fi
256install-data-no: all
257install-data-yes: all
258	@catalogs='$(CATALOGS)'; \
259	for cat in $$catalogs; do \
260	  cat=`basename $$cat`; \
261	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
262	  dir=$(localedir)/$$lang/LC_MESSAGES; \
263	  $(mkdir_p) $(DESTDIR)$$dir; \
264	  if test -r $$cat; then realcat=$$cat; else realcat=$(srcdir)/$$cat; fi; \
265	  $(INSTALL_DATA) $$realcat $(DESTDIR)$$dir/$(DOMAIN).mo; \
266	  echo "installing $$realcat as $(DESTDIR)$$dir/$(DOMAIN).mo"; \
267	  for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
268	    if test -n "$$lc"; then \
269	      if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
270	        link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
271	        mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
272	        mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
273	        (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
274	         for file in *; do \
275	           if test -f $$file; then \
276	             ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
277	           fi; \
278	         done); \
279	        rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
280	      else \
281	        if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
282	          :; \
283	        else \
284	          rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
285	          mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
286	        fi; \
287	      fi; \
288	      rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
289	      ln -s ../LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
290	      ln $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
291	      cp -p $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
292	      echo "installing $$realcat link as $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo"; \
293	    fi; \
294	  done; \
295	done
296
297install-strip: install
298
299installdirs: installdirs-exec installdirs-data
300installdirs-exec:
301installdirs-data: installdirs-data-@USE_NLS@
302	if test "$(PACKAGE)" = "gettext-tools"; then \
303	  $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \
304	else \
305	  : ; \
306	fi
307installdirs-data-no:
308installdirs-data-yes:
309	@catalogs='$(CATALOGS)'; \
310	for cat in $$catalogs; do \
311	  cat=`basename $$cat`; \
312	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
313	  dir=$(localedir)/$$lang/LC_MESSAGES; \
314	  $(mkdir_p) $(DESTDIR)$$dir; \
315	  for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
316	    if test -n "$$lc"; then \
317	      if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
318	        link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
319	        mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
320	        mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
321	        (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
322	         for file in *; do \
323	           if test -f $$file; then \
324	             ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
325	           fi; \
326	         done); \
327	        rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
328	      else \
329	        if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
330	          :; \
331	        else \
332	          rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
333	          mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
334	        fi; \
335	      fi; \
336	    fi; \
337	  done; \
338	done
339
340# Define this as empty until I found a useful application.
341installcheck:
342
343uninstall: uninstall-exec uninstall-data
344uninstall-exec:
345uninstall-data: uninstall-data-@USE_NLS@
346	if test "$(PACKAGE)" = "gettext-tools"; then \
347	  for file in $(DISTFILES.common) Makevars.template; do \
348	    rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
349	  done; \
350	else \
351	  : ; \
352	fi
353uninstall-data-no:
354uninstall-data-yes:
355	catalogs='$(CATALOGS)'; \
356	for cat in $$catalogs; do \
357	  cat=`basename $$cat`; \
358	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
359	  for lc in LC_MESSAGES $(EXTRA_LOCALE_CATEGORIES); do \
360	    rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
361	  done; \
362	done
363
364check: all
365
366info dvi ps pdf html tags TAGS ctags CTAGS ID:
367
368mostlyclean:
369	rm -f remove-potcdate.sed
370	rm -f stamp-poT
371	rm -f core core.* $(DOMAIN).po $(DOMAIN).1po $(DOMAIN).2po *.new.po
372	rm -fr *.o
373
374clean: mostlyclean
375
376distclean: clean
377	rm -f Makefile Makefile.in POTFILES *.mo
378
379maintainer-clean: distclean
380	@echo "This command is intended for maintainers to use;"
381	@echo "it deletes files that may require special tools to rebuild."
382	rm -f stamp-po $(GMOFILES)
383
384distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)
385dist distdir:
386	test -z "$(DISTFILESDEPS)" || $(MAKE) $(DISTFILESDEPS)
387	@$(MAKE) dist2
388# This is a separate target because 'update-po' must be executed before.
389dist2: stamp-po $(DISTFILES)
390	dists="$(DISTFILES)"; \
391	if test "$(PACKAGE)" = "gettext-tools"; then \
392	  dists="$$dists Makevars.template"; \
393	fi; \
394	if test -f $(srcdir)/$(DOMAIN).pot; then \
395	  dists="$$dists $(DOMAIN).pot stamp-po"; \
396	fi; \
397	if test -f $(srcdir)/ChangeLog; then \
398	  dists="$$dists ChangeLog"; \
399	fi; \
400	for i in 0 1 2 3 4 5 6 7 8 9; do \
401	  if test -f $(srcdir)/ChangeLog.$$i; then \
402	    dists="$$dists ChangeLog.$$i"; \
403	  fi; \
404	done; \
405	if test -f $(srcdir)/LINGUAS; then dists="$$dists LINGUAS"; fi; \
406	for file in $$dists; do \
407	  if test -f $$file; then \
408	    cp -p $$file $(distdir) || exit 1; \
409	  else \
410	    cp -p $(srcdir)/$$file $(distdir) || exit 1; \
411	  fi; \
412	done
413
414update-po: Makefile
415	$(MAKE) $(DOMAIN).pot-update
416	test -z "$(UPDATEPOFILES)" || $(MAKE) $(UPDATEPOFILES)
417	$(MAKE) update-gmo
418
419# General rule for creating PO files.
420
421.nop.po-create:
422	@lang=`echo $@ | sed -e 's/\.po-create$$//'`; \
423	echo "File $$lang.po does not exist. If you are a translator, you can create it through 'msginit'." 1>&2; \
424	exit 1
425
426# General rule for updating PO files.
427
428.nop.po-update:
429	@lang=`echo $@ | sed -e 's/\.po-update$$//'`; \
430	if test "$(PACKAGE)" = "gettext-tools"; then PATH=`pwd`/../src:$$PATH; fi; \
431	tmpdir=`pwd`; \
432	echo "$$lang:"; \
433	test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
434	echo "$${cdcmd}$(MSGMERGE) $(MSGMERGE_OPTIONS) --lang=$$lang $$lang.po $(DOMAIN).pot -o $$lang.new.po"; \
435	cd $(srcdir); \
436	if { case `$(MSGMERGE) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
437	       '' | 0.[0-9] | 0.[0-9].* | 0.1[0-7] | 0.1[0-7].*) \
438	         $(MSGMERGE) $(MSGMERGE_OPTIONS) -o $$tmpdir/$$lang.new.po $$lang.po $(DOMAIN).pot;; \
439	       *) \
440	         $(MSGMERGE) $(MSGMERGE_OPTIONS) --lang=$$lang -o $$tmpdir/$$lang.new.po $$lang.po $(DOMAIN).pot;; \
441	     esac; \
442	   }; then \
443	  if cmp $$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
444	    rm -f $$tmpdir/$$lang.new.po; \
445	  else \
446	    if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
447	      :; \
448	    else \
449	      echo "msgmerge for $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
450	      exit 1; \
451	    fi; \
452	  fi; \
453	else \
454	  echo "msgmerge for $$lang.po failed!" 1>&2; \
455	  rm -f $$tmpdir/$$lang.new.po; \
456	fi
457
458$(DUMMYPOFILES):
459
460update-gmo: Makefile $(GMOFILES)
461	@:
462
463# Recreate Makefile by invoking config.status. Explicitly invoke the shell,
464# because execution permission bits may not work on the current file system.
465# Use @SHELL@, which is the shell determined by autoconf for the use by its
466# scripts, not $(SHELL) which is hardwired to /bin/sh and may be deficient.
467Makefile: Makefile.in.in Makevars $(top_builddir)/config.status @POMAKEFILEDEPS@
468	cd $(top_builddir) \
469	  && @SHELL@ ./config.status $(subdir)/$@.in po-directories
470
471force:
472
473# Tell versions [3.59,3.63) of GNU make not to export all variables.
474# Otherwise a system limit (for SysV at least) may be exceeded.
475.NOEXPORT:
476